Subject: Re: [PATCH net-next 1/3] selftests: drv-net: iou-zcrx: wait for memory provider cleanup

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Mar 2026 16:46:42 -0800

On Mon, 2 Mar 2026 07:49:01 -0800 David Wei wrote:
> > +def mp_clear_wait(cfg):
> > +    """Wait for io_uring memory providers to clear from all device queues."""
> > +    deadline = time.time() + 5  
> 
> This is potentially a very long time to wait if code is buggy, as I
> found out when debugging netkit queue lease. How about reducing this to
> say 1 second?

Just to be clear -- you're saying that 5 seconds is a long time to wait?
Please note that if this wait times out we're going to fail the test,
the timeout does not impact the length of a successful run.

I picked 5 sec because with all the debugs enabled and under QEMU
scheduling latency spikes can be pretty brutal. I guess I could make it
3 seconds if it matters a lot?